<<<<<<< HEAD ======= FpsQualityAutoscaler | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

Set the quality of rendering based on FPS values.

When using this the size of the canvas must be fixed with CSS.

The `addDeltaTime` method should be called once every frame.

Usage:

     const renderer = await compile(...);
     const autoscaler = new FpsQualityAutoscaler(renderer);

### Hierarchy

- FpsQualityAutoscaler

## Index

### Constructors

- constructor

### Properties

- fpsHysteresis
- fpsTarget

### Accessors

- FPS

### Methods

- addDeltaTime

## Constructors

### constructor

- new FpsQualityAutoscaler(renderer: Renderer): FpsQualityAutoscaler

- <<<<<<< HEAD
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:24
  =======
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:24
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### renderer: Renderer

  #### Returns FpsQualityAutoscaler

## Properties

### fpsHysteresis

fpsHysteresis: number = 5

<<<<<<< HEAD
- Defined in graphics/rendering/fps-quality-autoscaler.ts:24
=======
- Defined in graphics/rendering/fps-quality-autoscaler.ts:24
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Static fpsTarget

fpsTarget: number = 30

<<<<<<< HEAD
- Defined in graphics/rendering/fps-quality-autoscaler.ts:23
=======
- Defined in graphics/rendering/fps-quality-autoscaler.ts:23
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Accessors

### FPS

- get FPS(): number

- <<<<<<< HEAD
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:28
  =======
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:28
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Returns number

## Methods

### addDeltaTime

- addDeltaTime(deltaTimeInMilliseconds: DOMHighResTimeStamp): void

- <<<<<<< HEAD
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:39
  =======
  - Defined in graphics/rendering/fps-quality-autoscaler.ts:39
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  Autoscaling is also done by calling this function

  #### Parameters

  - ##### deltaTimeInMilliseconds: DOMHighResTimeStamp

  #### Returns void